Package: grails.artefact

## [Groovy] Trait DomainClass

- grails.artefact.DomainClass

-     @groovy.transform.Trait
      @groovy.transform.CompileStatic
      trait DomainClass
      extends java.lang.Object

  A trait implemented by all domain classes

  Authors:
    Jeff Brown
    Graeme Rocher
  Since:
    3.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static java.util.Map<java.lang.String, Constrained>` | `getConstrainedProperties()` Returns: The constrained properties for this domain class

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### @groovy.transform.Generated static java.util.Map<java.lang.String, Constrained> getConstrainedProperties()

      Returns:
        The constrained properties for this domain class